List recipients
curl --request GET \
--url https://api.paysway.dev/beneficiaries/organizations/recipients \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.paysway.dev/beneficiaries/organizations/recipients"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.paysway.dev/beneficiaries/organizations/recipients', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"country": "<string>",
"currency": "<string>",
"isDefault": true,
"creditor": {
"name": "<string>",
"address": {
"country": "<string>",
"addressLine1": "<string>",
"addressLine2": "<string>",
"addressLine3": "<string>",
"department": "<string>",
"streetName": "<string>",
"buildingNumber": "<string>",
"buildingName": "<string>",
"floor": "<string>",
"room": "<string>",
"townName": "<string>",
"townLocationName": "<string>",
"districtName": "<string>",
"postBox": "<string>",
"postCode": "<string>",
"countrySubdivision": "<string>"
},
"contactDetails": {
"email": "<string>",
"phone": "<string>"
},
"dateOfBirth": "2023-12-25",
"taxId": "<string>",
"documents": [
{
"value": "<string>",
"type": "<string>"
}
]
},
"creditorAccount": {
"id": {
"value": "<string>"
},
"type": "<string>"
},
"creditorAgent": {
"bic": "<string>",
"clearingSystemMemberId": {
"memberId": "<string>"
},
"branchId": "<string>"
}
}
]
}Beneficiary Hub
List recipients
Retrieves a list of recipients for an organization end-user by their external user ID.
GET
/
beneficiaries
/
organizations
/
recipients
List recipients
⌘I